Bug 418 - Doesn't show all files in directory
Doesn't show all files in directory
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Linux
: P3 normal
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 14:23 UTC by Joe Daily
Modified: 2005-11-14 09:30 UTC (History)
1 user (show)

See Also:


Attachments
screenshot of folder with samba 2.2.8 (32.81 KB, image/jpeg)
2003-09-08 14:37 UTC, Joe Daily
no flags Details
Screenshot of Samba 3.0.0rc2 (39.57 KB, image/jpeg)
2003-09-08 14:57 UTC, Joe Daily
no flags Details
Tar file of empty filenames (713.45 KB, application/octet-stream)
2003-09-10 18:39 UTC, Tim Potter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Daily 2003-09-08 14:23:06 UTC
When running samba 3.0.0rc2 the contents of my music folder as displayed on a 
Windows XP box are 4333 files 18.7GB, but when running samba 2.2.8a my windows 
box sees all of the contents of that folder which are 26,417 Files 124.3 GB
Comment 1 Joe Daily 2003-09-08 14:37:13 UTC
Created attachment 128 [details]
screenshot of folder with samba 2.2.8
Comment 2 Joe Daily 2003-09-08 14:57:58 UTC
Created attachment 129 [details]
Screenshot of Samba 3.0.0rc2
Comment 3 Tim Potter 2003-09-09 17:02:14 UTC
I bet those files are full of unusual characters.  Can we get a sample of the
filenames?

I'm guessing this is a problem with 8.3 filename generation as this code has
changed a lot during the 3.0 development cycle.
Comment 4 Joe Daily 2003-09-09 22:13:20 UTC
complete files list is avaible at 

http://qnetalpha.com/samba_3_0_0rc2_file_list.txt
Comment 5 Jeremy Allison 2003-09-10 11:45:41 UTC
Ok - can you send me a tar file containing all the files - but set to
zero length. ie. a tar file that when untarred will create a directory
containing all the names but not all the mp3 file contents (don't want
to upset the RIAA :-).

That way I can test this and see if my recent changes have fixed it.

Thanks,

Jeremy.
Comment 6 Tim Potter 2003-09-10 16:13:22 UTC
Jeremy, can't you create this from the file list in comment 4?  That's why I
asked for it.
Comment 7 Joe Daily 2003-09-10 16:54:41 UTC
Do you still need me to create that tar file and if so how do i do it?
Comment 8 Tim Potter 2003-09-10 18:39:46 UTC
Created attachment 133 [details]
Tar file of empty filenames

Here is a tar file for you Jeremy.  Go Python!
Comment 9 Björn Jacke 2003-09-11 13:23:46 UTC
there are indeed all kinds of accented chracters in it, which are not ascii. If 
you did not set the "unix charset" ist's UTF-8 per default and each file which 
is not validly UTF-8 encoded will not be displayed by samba. You can either set 
"unix charset"  to something like iso8859-1 (that will make every file valid 
because iso8859-1 is plain 8bit single byte (but valid does not mean correct in 
this case)) or you can convert the files to UTF-8 with convmv for example, that 
way, you are really ready for the world and you can also have Chinese song 
titles ;-).
However to make sure everything I wrote is correct I would need a non-0-byte 
long versionaf all the test files :->
Comment 10 Jeremy Allison 2003-09-11 14:16:07 UTC
The current SAMBA_3_0 CVS correctly displays 26,417 files now.
Closing as fixed.
Jeremy.
Comment 11 Björn Jacke 2003-09-11 15:38:18 UTC
on the other hand - it doesn't look like over 20000 files are non-ascii and 
non-utf-8. So there seems to be another problem. First of all, I converted all 
filenames from latin1 to utf8 to get sane filenames.
Taking a closer look at the files you can see that there are newline characters 
in filenames like in
Francis Cabrel - Je l'aime <85> mourir.mp3
An "ls" on the files on the local disk is without errors. An "ls" on the samba3 
mounted smbfs gives me a bunch of error messages on some files like the above 
one. The above one is served by Samba as "Francis Cabrel - Je l'aime ", so 
everything after the <newlin> is removed, which would explain, why ls complains 
with "file not found". This probably is a Samba bug.
Maybe there are more such unfriendly characters ...
Comment 12 Joe Daily 2003-09-12 11:25:05 UTC
Thanks you guys are the greatest, just remember that my collection is open 
just ask
Comment 13 Gerald (Jerry) Carter 2005-02-07 09:05:46 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 14 Gerald (Jerry) Carter 2005-08-24 10:26:48 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 15 Gerald (Jerry) Carter 2005-11-14 09:30:31 UTC
database cleanup